Get a annotation job
GET
/v1/projects/{projectId}/annotation-jobs/{jobId}curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/annotation-jobs/{jobId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- projectIdstringrequired
- jobIdstringrequired
Responses
Success
- dataobjectrequired
- idstringrequired
- projectIdstringrequired
- kindstringrequiredAllowed valuessegmentationlabeling
- namestringrequired
- instructionsMdstring | nullrequired
- exampleEpisodeIdstring | nullrequired
- fieldsJsonarray<string>required
- reviewerMembershipIdstring | nullrequired
- dueAtstring | nullrequired
- statusstringrequiredAllowed valuescancelledin_reviewin_progressopendone
- distributionstringrequiredAllowed valuesevenqueue
- createdBystring | nullrequired
- assigneeMembershipIdsarray<string>required
- progressobjectrequired
- createdAtstringrequired
- updatedAtstringrequired
- rowVersionnumberrequired
Response example
{
"data": {
"id": "string",
"projectId": "string",
"kind": "segmentation",
"name": "string",
"instructionsMd": "string",
"exampleEpisodeId": "string",
"fieldsJson": [
"string"
],
"reviewerMembershipId": "string",
"dueAt": "string",
"status": "cancelled",
"distribution": "even",
"createdBy": "string",
"assigneeMembershipIds": [
"string"
],
"progress": {
"total": 0,
"todo": 0,
"labeled": 0,
"approved": 0,
"rejected": 0
},
"createdAt": "string",
"updatedAt": "string",
"rowVersion": 0
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1